Bug 265241 - redhat-lsb fails to build, most likely due to something missing in the build environment
redhat-lsb fails to build, most likely due to something missing in the build ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-lsb (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Lawrence Lim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Test3
  Show dependency treegraph
 
Reported: 2007-08-29 16:54 EDT by Jesse Keating
Modified: 2014-03-25 20:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 13:54:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-08-29 16:54:25 EDT
+ make
help2man: can't get `--help' info from ./lsb_release
make: *** [lsb_release.1.gz] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.13890 (%build)

http://koji.fedoraproject.org/koji/getfile?taskID=137709&name=build.log
Comment 1 Lawrence Lim 2007-08-30 02:30:01 EDT
Builds ok on my test machine. 

# cat /etc/redhat-release
Fedora release 7.90 (Rawhide)

# uname -a
Linux dhcp7-65.pnq.redhat.com 2.6.23-0.110.rc3.git1.fc8 #1 SMP Wed Aug 15
18:19:20 EDT 2007 i686 i686 i386 GNU/Linux

Processing files: redhat-lsb-debuginfo-3.1-17.fc8
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/redhat-lsb-3.1-17.fc8-root-root
Wrote: /usr/src/redhat/RPMS/i386/redhat-lsb-3.1-17.fc8.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/redhat-lsb-debuginfo-3.1-17.fc8.i386.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.42318
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd redhat-lsb-3.1
+ rm -rf /var/tmp/redhat-lsb-3.1-17.fc8-root-root
+ exit 0
Executing(--clean): /bin/sh -e /var/tmp/rpm-tmp.42318
+ umask 022
+ cd /usr/src/redhat/BUILD
+ rm -rf redhat-lsb-3.1
+ exit 0
Comment 2 Jesse Keating 2007-08-30 06:11:55 EDT
Yes that's the point.  It builds fine on a full machine, but not in our minimal
build root.  It's missing some BuildRequire somewhere and my initial looking at
the perl I couldn't figure out what it was missing.
Comment 3 Jeremy Katz 2007-09-20 15:53:47 EDT
ping?  This is still broken and really needs to be resolved for test3.
Comment 5 Lawrence Lim 2007-10-03 04:31:42 EDT
Have fixed the BuildRequire and ppc build issue with
redhat-lsb-3.1-19.fc8.src.rpm. So sorry for the delay.

Note You need to log in before you can comment on or make changes to this bug.